:root {
  --pink: #f14e95;
  --bg: #0a0a0a;
  --shadow: 0 2px 2px rgb(0 0 0 / 0.5);
}

body {
  font-size: 1.2 rem;
  font-family: "Work Sans", sans-serif;
  min-height: 4000px;
}

.hero::before {
  content: "";
  position: absolute;
  top: 0;
  left: 0;
  width: 100%;
  height: 100%;
  background-image: url(img/2.jpg);
  background-size: cover; /* Menutupi elemen tanpa memotong gambar */
  background-position: center;
  z-index: -1;
  filter: grayscale();
}

.hero {
  min-height: 100vh;
}

.hero h1,
.hero h4,
.hero p {
  text-shadow: var(--shadow);
}

.hero h4 {
  font-size: 3rem;
  margin-bottom: 25px;
  text-shadow: var(--shadow);
}

.hero h1 {
  font-family: "Sacramento", cursive;
  font-size: 7rem;
}

.hero p {
  font-size: 1.4rem;
}

.hero a {
  color: var(--pink);
  background: white;
  box-shadow: var(--shadow);
}

.hero a:hover {
  background: var(--pink);
  color: white;
}

.mynavbar {
  background-color: rgba(255, 255, 255, 0.4) !important;
  backdrop-filter: blur(4px);
}

.mynavbar .offcanvas {
  height: 100vh;
}

.mynavbar .navbar-brand,
.mynavbar .offcanvas-title {
  font-family: "Sacramento", cursive;
  font-size: 3.2rem;
  font-weight: bold;
}

.mynavbar .nav-link {
  text-transform: uppercase;
}

.home {
  background-image: url(img/3.jpg);
  min-height: 100vh;
  background-size: cover;
  background-position: center;
  margin-top: -6rem;
  padding-top: 9rem;
  padding-bottom: 5rem;
}

.home h2 {
  color: var(--pink);
  font-family: "Sacramento", cursive;
  font-size: 5rem;
  font-weight: bold;
  opacity: 0; /* Agar h2 tersembunyi sebelum animasi */
  transform: translateY(-300px);
  transition: all 1.2s ease;
}
.home.animate h2 {
  opacity: 1;
  transform: translateY(0); /* Memicu animasi */
}

.home h3 {
  color: #444;
  font-size: 1.5rem;
  margin-bottom: 1 rem;
}
.home p {
  padding: 1px;
  font-size: 1.1rem;
  color: #666;
}

.home .couple {
  margin-top: 75px;
}
.home .couple .couple-kanan {
  opacity: 0; /* Agar h2 tersembunyi sebelum animasi */
  transform: translateX(300px);
  transition: all 1.2s ease;
}
.home.animate .couple .couple-kanan {
  opacity: 1;
  transform: translateX(0);
}

.home .couple h3 {
  color: var(--pink);
  font-family: "Sacramento", cursive;
  font-size: 2.4rem;
}

.home .couple img {
  width: 100%;
}

.info {
  background: var(--bg);
  color: white;
  padding-top: 10rem;
  padding-bottom: 8rem;
  min-height: 100vh;
}

.info h2,
.story h2,
.gallery h2,
.gifts h2 {
  color: var(--pink);
  font-family: "Sacramento", cursive;
  font-size: 5rem;
  font-weight: bold;
}

.rsvp h2 {
  color: rgb(233, 146, 218);
  font-family: "Sacramento", cursive;
  font-size: 4rem;
  font-weight: bold;
}

.info .alamat {
  font-size: 1.1rem;
}
.info .description {
  font-size: 1rem;
  font-weight: 300;
}

.info .card {
  background-color: rgba(255, 255, 255, 0.2) !important;
  color: white !important;
  border: 1px solid #999;
}

.info .card-header {
  border: 1px solid #999;
  text-transform: uppercase;
  letter-spacing: 0.1 rem;
}
.info .card-body {
  font-size: 1rem;
}
.info .card-footer {
  border-top: 1px solid #999;
}

.story,
.gallery {
  padding-top: 8rem;
  padding-bottom: 8rem;
}

.story span,
.gallery span,
.rsvp span,
.gifts span {
  text-transform: uppercase;
  color: #666;
  font-size: 0.9rem;
  letter-spacing: 1px;
  display: block;
  margin-bottom: 1rem;
}
.story p,
.gallery p,
.rsvp p,
.gifts p {
  font-size: 1rem;
  font-weight: 300;
}

.timeline {
  list-style: none;
  padding: 1.4rem 0;
  margin-top: 1rem;
  position: relative;
}

.timeline::before {
  content: "";
  top: 0;
  bottom: 0;
  position: absolute;
  width: 1px;
  background-color: #ccc;
  left: 50%;
}

.timeline li::before,
.timeline li::after {
  content: "";
  display: table;
}
.timeline li::after {
  clear: both;
}
.timeline li .timeline-image {
  width: 160px;
  height: 160px;
  background-color: #ccc;
  position: absolute;
  left: 50%;
  transform: translateX(-50%);
  border-radius: 50%;
  background-size: cover;
  background-position: center;
  background-repeat: no-repeat;
}
.timeline li .timeline-panel {
  width: 40%;
  float: left;
  border: 1px solid #ccc;
  padding: 2rem;
  position: relative;
  border-radius: 5px;
}
.timeline li .timeline-panel::before {
  content: "";
  display: inline-block;
  position: absolute;
  border-top: 15px solid transparent;
  border-left: 15px solid #ccc;
  border-right: 0 solid #ccc;
  border-bottom: 15px solid transparent;
  top: 80px;
  right: -15px;
}
.timeline li .timeline-panel::after {
  content: "";
  display: inline-block;
  position: absolute;
  border-top: 14px solid transparent;
  border-left: 14px solid #fff;
  border-right: 0 solid #fff;
  border-bottom: 15px solid transparent;
  top: 81px;
  right: -13px;
}

.timeline li.timeline-inverted .timeline-panel {
  float: right;
}
.timeline li.timeline-inverted .timeline-panel::before {
  border-left-width: 0;
  border-right-width: 15px;
  left: -15px;
  right: auto;
}
.timeline li.timeline-inverted .timeline-panel::after {
  border-left-width: 0;
  border-right-width: 14px;
  left: -13px;
  right: auto;
}

.gallery {
  background: #f5f5f5;
}

.rsvp {
  padding-top: 8rem;
  padding-bottom: 8rem;
  background-color: var(--bg);
}

.rsvp p {
  color: white;
}
.rsvp form label {
  color: white;
}

.rsvp button {
  background-color: var(--pink);
  color: white;
  border: 1px solid var(--pink);
  margin-top: 16px;
}
.rsvp button:hover {
  background-color: white;
  color: var(--pink);
  border: 1px solid white;
}

.gifts {
  padding-top: 8rem;
  padding-bottom: 8rem;
}

footer {
  padding: 1rem;
  background-color: var(--pink);
  color: white;
}
footer a {
  color: var(--bg);
  font-weight: bold;
  text-decoration: none;
}
footer li {
  list-style: none;
  display: inline;
  margin: 0.5rem;
}

.audio-icon-wrapper {
  width: 4rem;
  height: 4rem;
  font-size: 4rem;
  position: fixed;
  bottom: 2.5rem;
  right: 2rem;
  opacity: 0.5;
  animation: rotating 4s linear infinite;
  transform-origin: center;
  display: flex;
  justify-content: center;
  align-items: center;
  line-height: 0;
}

@keyframes rotating {
  form {
    transform: rotate(0);
  }
  to {
    transform: rotate(360deg);
  }
}

/* Media Query */
/* Extra large */

/* lapltop */
@media (max-width: 992px) {
  html {
    font-size: 77%;
  }
  .simply-countdown > .simply-section {
    padding: 70px;
  }
  .timeline::before {
    left: 60px;
  }
  .timeline li {
    margin-bottom: 5px;
  }
  .timeline li .timeline-image {
    left: 15px;
    margin-left: 45px;
  }
  .timeline li .timeline-panel {
    width: 70%;
    float: right;
    margin-right: 10px;
  }
  .timeline li .timeline-panel::before {
    border-left-width: 0;
    border-right-width: 15px;
    left: -15px;
    right: auto;
  }
  .timeline li .timeline-panel::after {
    border-left-width: 0;
    border-right-width: 14px;
    left: -13px;
    right: auto;
  }
  .timeline li .timeline-image {
    width: 140px;
    height: 140px;
  }
  .rsvp button {
    margin-top: 12px;
  }
}

/* tablet */
@media (max-width: 768px) {
  html {
    font-size: 65%;
  }
  .simply-countdown > .simply-section {
    padding: 60px;
    margin: 5px;
  }
  .sticky-top {
    overflow: hidden;
  }
  .timeline li .timeline-image {
    width: 140px;
    height: 140px;
  }
  .timeline li .timeline-panel {
    width: 60%;
    float: right;
  }
  .mynavbar .offcanvas {
    font-size: 2rem;
  }
}

/* mobile phone */
@media (max-width: 450px) {
  html {
    font-size: 58%;
  }

  .home {
    padding-top: 7rem;
    height: 100vh;
    box-sizing: border-box;
  }
  .hero h4 {
    font-size: 4rem;
    padding-left: 10px;
    padding-right: 10px;
  }
  .home h3 {
    margin-bottom: 2rem;
    font-size: 1.5rem;
  }
  .home p {
    font-size: 1.3rem;
  }
  .home .couple {
    margin-top: 40px;
  }
  .home .couple p {
    padding-right: 2px;
    margin-left: 2px;
  }
  .home .couple .lf {
    margin-top: 30px;
  }
  .info {
    margin-top: 2rem;
  }
  .mynavbar .nav-link {
    font-size: 2rem;
    text-align: center;
  }
  .sticky-top {
    overflow: hidden;
  }
  .timeline li .timeline-image {
    width: 100px;
    height: 100px;
  }
  .timeline li .timeline-panel {
    width: 65%;
    transform: translateX(-10px);
    margin-left: 2rem;
  }
  .timeline li .timeline-panel::before {
    top: 30px;
  }
  .timeline li .timeline-panel::after {
    top: 31px;
  }
  .timeline li .timeline-panel {
    width: calc((100%-200px));
    float: right;
    margin-right: 5px;
  }
  .rsvp form {
    margin-left: 15px;
    margin-right: 15px;
  }
  .rsvp button {
    margin-top: 5px;
  }
}
